<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>fechas</title>
</head>
<body>
    <script>
    const currrentDate = new Date();
    let year = currrentDate.getFullYear();
    let day = currrentDate.getDay();
    let hour = currrentDate.getHours();
    let minute = currrentDate.getMinutes();
    let sec = currrentDate.getSeconds();

        function ShowCurrentDate() {
            return currrentDate;
        }
        //alert(ShowCurrentDate());

        function AmIInM07(params) {
            let inClass = false;

            switch (true) {
                case day == 1 &&  ((hour > 11 && minute > 15) && (hour < 13 && minute < 5)):
                    inClass = true;
                    break;

                case day == 2 &&  ((hour > 8) && (hour < 10 && minute < 45)):
                inClass = true;
                break;

                case day == 5 &&  ((hour > 8) && (hour < 9 && minute < 50)):
                inClass = true;
                break;
            }
            return "Am I in class? " + inClass;
        }
        //alert(AmIInM07());

        function TimeLeftTillBDay() {
            let BDay = new Date(year, 9, 3);
            let secTillBDay = (BDay.getTime() - currrentDate.getTime() )/1000;
            let minTillBDay = secTillBDay/60;
            let hoursTillBDay = minTillBDay/60;
            let daysTillBDay = hoursTillBDay/24;

            let allToghether = "Time till birthday:\nsec: " + secTillBDay.toFixed() + "\nmin: " + minTillBDay.toFixed() + "\nhours: " + hoursTillBDay.toFixed() + "\ndays: " + daysTillBDay.toFixed();

            return allToghether;
        }
        //alert(TimeLeftTillBDay())

        function clock() {
            console.log(currrentDate);
        }
        setInterval(clock(), 1000)
    </script>
</body>
</html>